package ru.ulstu.meeting;

import org.springframework.format.annotation.DateTimeFormat;
import ru.ulstu.model.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Lob;
import javax.validation.constraints.NotEmpty;
import java.util.Date;

@Entity
public class Meeting extends BaseEntity {
    @NotEmpty(message = "Заголовок не может быть пустым")
    private String title;

    @DateTimeFormat(pattern = "yyyy-MM-dd'T'HH:mm")
    private Date date;

    @Lob
    @NotEmpty(message = "Текст заседания не может быть пустым")
    private String text;

    public Meeting() {
    }

    public Meeting(String title, String text, Date date) {
        this.title = title;
        this.date = date;
        this.text = text;
    }

    public String getTitle() {
        return title;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public void setText(String text) {
        this.text = text;
    }

    public String getText() {
        return text;
    }
}
